Serp API
SpaceSerp API can extract clean structured data from Google in real-time.
API playground
With our powerful API playground, you can quickly and flexibly configure requests. Just fill in some fields and we'll generate a request for you.

Making Requests
You can scrape any data from Google search via this endpoint.
GET https://api.spaceserp.com/google/search
Query Parameters
apiKey*
String
An account API key that used to authorize user API requests.
q*
String
The keyword which you want to search.
Below is a quick overview of all the parameters we support for Google searches. They should be appended as query parameters to the above request.
apiKey
An account API key that used to authorize user API requests.
Note: Required parameter.
q
The keyword which you want to search.
Note: Required parameter.
location
Location in which the query is executed. You can get a full list of available locations here.
domain
Google domain that performs the search. You can find a full list of the available domains here. Note: Default value: google.com.
gl
Indicate the country of the Google result page. Full list of the available gl parameters you can find here.
Note: Default value : us.
hl
Specify the interface language for the Google search result page. Full list of the available hl parameters you can find here.
Note: Default value: en.
resultFormat
Results format. Possible values: json, csv, html.
Note: Default value: json.
device
The device which performed search requests. Possible values: desktop, mobile, tablet.
Note: Default value: desktop.
mobileOs
Mobile OS. Possible values: ios, android.
Note: Should be used with device=true.
pageSize
The number of results shown per page. Note: Should be from 1 to 100.
pageNumber
Number of the page of results to return.
Location
The location parameter is used to localize your query. You can use any string, but for increase accuracy, you should choose supported by Google value. There are several ways to do this:
SpaceSerp API Playground.
Just start fill location input and we'll pick up right value for you.

Locations Autocomplete API
Find related Google locations.
GET https://api.spaceserp.com/google/locations
Query Parameters
apiKey*
String
An account API key that used to authorize user API requests.
q*
String
Search string
pageSize
Number
Default 10
pageNumber
String
Default 1
Google domains
You can find a full list of the available domains in CSV file or via API Playground.
Google countries
You can find a full list of the available google countries in CSV file or via API Playground.
Google languages
You can find a full list of the available google languages in CSV file or via API Playground.
Last updated